/*
tutorial_#2-01

=====================
Six Online Tutorials:
=====================

The tutorials online propose ideas and approaches, which allow the user to problematize and then practice to do something to use for their own purposes.
Describes the stages of construction of some systems to help the reader, step by step, to learn to do something, to build patchs be used effectively in the performance.
Examples are some ideas to change, expand, or start from scratch using the same ideas or the same solutions and then realize their control systems.

=====================
ONLINE TUTORIAL #2
2. "SOLO [Nr.19]" - Digital set-up for Stockhausen's composition (by E.Francioni) - the Csound code.
=====================

In the second series of tutorials_#2 the view moves: everything is developed according to the needs of the performer for the performance.
For these tutorials I have considered the FormSchema - Version I, Cycle A.

Since this is a "One-man-performance" in this tutorial_#2-01 the performer is gifted in the Widgets Panel of a Button "Play" to start the algorithm and similarly to stop the algorithm of a Button "Stop".
For the two buttons, we used the Reserved Channels.

Once you are given the "Play", instr 1 call with opcode "schedule" instruments 2, 3, 4, 5, 6, 7 and 8.

Changes in the code:
    - in the orchestra it was added instr 1 that makes calls;
    - have been included in the score 12 functions for the Assistants to the Cycle A;
    - the score was inserted instance the instr 1.

*/

<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr 		=	44100
ksmps 		=	128
nchnls 		=	2
0dbfs 		= 	1

gkenl1		init	0
gkenl2		init	0
gkenl3		init	0
gkenr1		init	0
gkenr2		init	0
gkenr3		init	0

;==================================================================================================================
	instr 1		; calls
;==================================================================================================================

schedule	2, 0, 66, .001, .001, 1, 2
schedule	3, 0, 66, .001, .001, 3, 4
schedule	4, 0, 66, .001, .001, 5, 6
schedule	5, 0, 66, .001, .001, 7, 8
schedule	6, 0, 66, .001, .001, 9, 10
schedule	7, 0, 66, .001, .001, 11, 12
schedule	8, 0, 66

turnoff

endin

;==================================================================================================================
	instr 2			; ENVELOPE SLIDER ASSISTANT - MICROPHONE - LEFT
;==================================================================================================================

ia 	= p4
ib 	= p5
ifn1 	= p6
ifn2 	= p7

indx		init	- 1
ilen		=	ftlen(ifn1)

reset:
indx		=	indx + 1
if	indx <= ilen - 1  goto forth
turnoff

forth:
idur		table	indx, ifn1
idur_env	table	indx, ifn2
		timout 0, idur, continue
		reinit reset
continue:

gkenl1		linseg 0, ia, 1, idur_env - (ia + ib), 1, ib, 0

endin

;==================================================================================================================
	instr 3			; ENVELOPE SLIDER ASSISTANT - MICROPHONE - RIGHT
;==================================================================================================================

ia 	= p4
ib 	= p5
ifn1 	= p6
ifn2 	= p7

indx		init	- 1
ilen		=	ftlen(ifn1)

reset:
indx		=	indx + 1
if	indx <= ilen - 1  goto forth
turnoff

forth:
idur		table	indx, ifn1
idur_env	table	indx, ifn2
		timout 0, idur, continue
		reinit reset
continue:

gkenr1		linseg 0, ia, 1, idur_env - (ia + ib), 1, ib, 0

endin

;==================================================================================================================
	instr 4			; ENVELOPE SLIDER ASSISTANT - FEEDBACK - LEFT
;==================================================================================================================

ia 	= p4
ib 	= p5
ifn1 	= p6
ifn2 	= p7

indx		init	- 1
ilen		=	ftlen(ifn1)

reset:
indx		=	indx + 1
if	indx <= ilen - 1  goto forth
turnoff

forth:
idur		table	indx, ifn1
idur_env	table	indx, ifn2
		timout 0, idur, continue
		reinit reset
continue:

gkenl2		linseg 0, ia, 1, idur_env - (ia + ib), 1, ib, 0

endin

;==================================================================================================================
	instr 5			; ENVELOPE SLIDER ASSISTANT - FEEDBACK - RIGHT
;==================================================================================================================

ia 	= p4
ib 	= p5
ifn1 	= p6
ifn2 	= p7

indx		init	- 1
ilen		=	ftlen(ifn1)

reset:
indx		=	indx + 1
if	indx <= ilen - 1  goto forth
turnoff

forth:
idur		table	indx, ifn1
idur_env	table	indx, ifn2
		timout 0, idur, continue
		reinit reset
continue:

gkenr2		linseg 0, ia, 1, idur_env - (ia + ib), 1, ib, 0

endin

;==================================================================================================================
	instr 6			; ENVELOPE SLIDER ASSISTANT - PLAYBACK - LEFT
;==================================================================================================================
   
ia 	= p4
ib 	= p5
ifn1 	= p6
ifn2 	= p7

indx		init	- 1
ilen		=	ftlen(ifn1)

reset:
indx		=	indx + 1
if	indx <= ilen - 1  goto forth
turnoff

forth:
idur		table	indx, ifn1
idur_env	table	indx, ifn2
		timout 0, idur, continue
		reinit reset
continue:

gkenl3		linseg 0, ia, 1, idur_env - (ia + ib), 1, ib, 0

endin

;==================================================================================================================
	instr 7			; ENVELOPE SLIDER ASSISTANT - PLAYBACK - RIGHT
;==================================================================================================================

ia 	= p4
ib 	= p5
ifn1 	= p6
ifn2 	= p7

indx		init	- 1
ilen		=	ftlen(ifn1)

reset:
indx		=	indx + 1
if	indx <= ilen - 1  goto forth
turnoff

forth:
idur		table	indx, ifn1
idur_env	table	indx, ifn2
		timout 0, idur, continue
		reinit reset
continue:

gkenr3		linseg 0, ia, 1, idur_env - (ia + ib), 1, ib, 0

endin

;==================================================================================================================
	instr 8 				; TECHNICAL_SET-UP
;==================================================================================================================

;==================================================================================================================
; SIGNAL
;==================================================================================================================

ksig	invalue "sig"
if i(ksig) == 0 then
asig = 0
elseif i(ksig) == 1 then
asig		inch	1
elseif i(ksig) == 2 then
asig, aright	mp3in	"1-11del.mp3"
endif

;==================================================================================================================
; ASSISTANT_1 - LEFT & RIGHT	-	MICROPHONE
;==================================================================================================================

al_A 	=	asig * gkenl1
ar_A 	=	asig * gkenr1

;==================================================================================================================
; VALUE MITIGATION AMPLITUDE SIGNAL
;==================================================================================================================

igain 	=	.8

;==================================================================================================================
;ASSISTANT_4		-	DELAY
;==================================================================================================================

ktdel		linseg	6, 66, 6

;==================================================================================================================
;ASSISTANT_2 - LEFT	-	FEED-BACK
;==================================================================================================================

adummyl 	delayr	25.3
adel_A 	deltapi	ktdel
awriteL 	=	(al_A + (adel_A * gkenl2)) * igain
		delayw	 awriteL

;==================================================================================================================
; ASSISTANT_2 - RIGHT	-	FEED-BACK
;==================================================================================================================

adummyr 	delayr	25.3
ader_A 	deltapi	ktdel
awriteR 	=	(ar_A + (ader_A * gkenr2)) * igain
		delayw awriteR

;==================================================================================================================
;ASSISTANT_3 - LEFT & RIGHT		-	PLAY-BACK
;==================================================================================================================

a_left 		=	adel_A * gkenl3 
a_right 	=	ader_A * gkenr3

;==================================================================================================================
;OUT
;==================================================================================================================

		outs	a_left, a_right
		
		
outvalue "enL1", gkenl1
outvalue "enL2", gkenl2
outvalue "enL3", gkenl3
outvalue "enR1", gkenr1
outvalue "enR2", gkenr2
outvalue "enR3", gkenr3
outvalue "del", ktdel
ktinst	timeinsts
outvalue "time", ktinst

; BOX ENVELOPES
outvalue	"ONE", 1
outvalue	"ZERO", 0

	endin

;==================================================================================================================


</CsInstruments>
<CsScore>

;ASSISTANT "1" LEFT		A
f1	0	4	-2	18	18	30	
f2	0	4	-2	6	6	18
;ASSISTANT "1" RIGHT	A
f3	0	4	-2	6	18	24	18
f4	0	4	-2	0	12	12	18

;ASSISTANT  "2" LEFT	A
f5	0	4	-2	6	36	24
f6	0	4	-2	0	24	24
;ASSISTANT "2" RIGHT	A
f7	0	4	-2	12	18	24	12
f8	0	4	-2	0	6	12	12

;ASSISTANT "3" LEFT		A
f9	0	4	-2	6	18	24	18
f10	0	4	-2	0	12	12	12
;ASSISTANT "3" RIGHT	A
f11	0	4	-2	12	24	24	6
f12	0	4	-2	0	12	12	6

i1	0	-1
e
</CsScore>
</CsoundSynthesizer><bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>735</x>
 <y>45</y>
 <width>571</width>
 <height>846</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="background">
  <r>0</r>
  <g>204</g>
  <b>204</b>
 </bgcolor>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>14</x>
  <y>113</y>
  <width>540</width>
  <height>718</height>
  <uuid>{3a856060-50c6-4015-b715-6df204cbd96a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>153</r>
   <g>204</g>
   <b>102</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>5</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBScope">
  <objectName/>
  <x>463</x>
  <y>158</y>
  <width>80</width>
  <height>64</height>
  <uuid>{41e885d8-8f8e-47bd-b14f-3416933132e9}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <value>-255.00000000</value>
  <type>scope</type>
  <zoomx>1.00000000</zoomx>
  <zoomy>3.00000000</zoomy>
  <dispx>1.00000000</dispx>
  <dispy>1.00000000</dispy>
  <mode>0.00000000</mode>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>15</x>
  <y>5</y>
  <width>538</width>
  <height>100</height>
  <uuid>{951fe7d4-4247-432d-8eee-6e8889420259}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>CSOUND INSIDE
Enrico Francioni 
"Building Csound-based Systems for Realtime Chamber Music Performance"
TUTORIAL #2-01: "SOLO [Nr.19]" - Digital set-up for Stockhausen's composition - 
from his analog to my digital setup.</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>204</r>
   <g>204</g>
   <b>204</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>sig</objectName>
  <x>20</x>
  <y>204</y>
  <width>74</width>
  <height>23</height>
  <uuid>{deb92c08-53c3-46dc-b624-e51ca5ea7031}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>none</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>mic</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>mp3</name>
    <value>2</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>2</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>317</x>
  <y>169</y>
  <width>89</width>
  <height>28</height>
  <uuid>{e1bd0b88-bb08-46e0-920e-1363c04b480a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>11 * 6 sec</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>176</x>
  <y>241</y>
  <width>31</width>
  <height>31</height>
  <uuid>{4932dc8f-3490-4259-b814-71d7f55f14ff}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>1</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>209</x>
  <y>241</y>
  <width>31</width>
  <height>31</height>
  <uuid>{39461512-c09a-4524-ac26-cecbc0df35a5}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>2</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>242</x>
  <y>241</y>
  <width>31</width>
  <height>31</height>
  <uuid>{a4b737ff-e611-4177-baf0-ace7b82979e5}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>3</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>275</x>
  <y>241</y>
  <width>31</width>
  <height>31</height>
  <uuid>{337e1553-8787-437f-9777-8b12bd35a972}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>4</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>308</x>
  <y>241</y>
  <width>31</width>
  <height>31</height>
  <uuid>{464a4c59-8fc7-4e58-b785-cf7a10e98e63}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>5</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>342</x>
  <y>241</y>
  <width>31</width>
  <height>31</height>
  <uuid>{0882e0ff-a364-48e1-86be-2e524e7f41d7}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>6</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>376</x>
  <y>241</y>
  <width>31</width>
  <height>31</height>
  <uuid>{e85856c7-1a32-41e4-bb37-203ed93d32cf}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>7</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>410</x>
  <y>241</y>
  <width>31</width>
  <height>31</height>
  <uuid>{b4c55a28-592c-4bc8-9447-42e6390bf13d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>8</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>444</x>
  <y>241</y>
  <width>31</width>
  <height>31</height>
  <uuid>{cf168125-db4c-450c-9349-715d7ad6b7ff}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>9</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>478</x>
  <y>241</y>
  <width>31</width>
  <height>31</height>
  <uuid>{0882580f-a08c-44b0-b4ea-bd49afaf69dc}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>10</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>512</x>
  <y>241</y>
  <width>31</width>
  <height>31</height>
  <uuid>{529683ae-e196-4705-aa38-9a69abcd2483}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>11</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>172</x>
  <y>158</y>
  <width>46</width>
  <height>46</height>
  <uuid>{2d646d86-213b-47c6-b1b2-289b58a0c21e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>A</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>30</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>3</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>220</x>
  <y>173</y>
  <width>44</width>
  <height>25</height>
  <uuid>{08bb81f0-106e-4a74-a69c-7f4c539130d7}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>(66 s)</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>time</objectName>
  <x>176</x>
  <y>274</y>
  <width>366</width>
  <height>12</height>
  <uuid>{66fd5fed-1d3e-4e68-899c-f627c0ecdd86}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>time</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>66.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>65.99981689</xValue>
  <yValue>65.99981689</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>21</x>
  <y>246</y>
  <width>110</width>
  <height>28</height>
  <uuid>{1ba2dd9c-618c-412d-b4f7-b314a5bb62a8}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>SOLOIST</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>21</x>
  <y>355</y>
  <width>110</width>
  <height>28</height>
  <uuid>{113057c0-c2a7-4033-ba49-159f600f5b0c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>MICROPHONE</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>21</x>
  <y>514</y>
  <width>110</width>
  <height>28</height>
  <uuid>{b51d7307-d88f-4d56-aebe-8b13d85cfa73}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>FEEDBACK</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>21</x>
  <y>676</y>
  <width>110</width>
  <height>28</height>
  <uuid>{9c9efa41-a0dd-4a30-b392-b7aa9025c912}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>PLAYBACK</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>21</x>
  <y>785</y>
  <width>110</width>
  <height>28</height>
  <uuid>{1b09316f-08b3-4bc0-9c50-a425394f890d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>DELAY</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBScrollNumber">
  <objectName>del</objectName>
  <x>192</x>
  <y>785</y>
  <width>51</width>
  <height>24</height>
  <uuid>{aa60b70f-e0bc-432a-be68-723f08cbea23}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>right</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <value>6.00000000</value>
  <resolution>0.10000000</resolution>
  <minimum>0.00000000</minimum>
  <maximum>30.00000000</maximum>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
  <randomizable group="0">false</randomizable>
  <mouseControl act=""/>
 </bsbObject>
 <bsbObject version="2" type="BSBKnob">
  <objectName>del</objectName>
  <x>137</x>
  <y>773</y>
  <width>51</width>
  <height>50</height>
  <uuid>{c139629d-1986-4d62-91f7-32c50f6165fb}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>30.00000000</maximum>
  <value>6.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>0.01000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>177</x>
  <y>380</y>
  <width>31</width>
  <height>31</height>
  <uuid>{cb88992e-77bb-42be-a558-b3790f9c2382}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>210</x>
  <y>380</y>
  <width>31</width>
  <height>31</height>
  <uuid>{27a3f754-1667-43a6-b063-c5cdcd928c24}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>243</x>
  <y>380</y>
  <width>31</width>
  <height>31</height>
  <uuid>{57e0057a-0a53-4c24-b2d3-afa09eef0b1f}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>276</x>
  <y>380</y>
  <width>31</width>
  <height>31</height>
  <uuid>{7f8ce06f-efd8-42f5-8536-67f7c46cc278}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>309</x>
  <y>380</y>
  <width>31</width>
  <height>31</height>
  <uuid>{adbd53f8-f7fb-4d99-acf9-64f4d3a63568}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>342</x>
  <y>380</y>
  <width>31</width>
  <height>31</height>
  <uuid>{9a5f00b5-19e1-462e-9c05-6dc3c5c1e274}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>376</x>
  <y>380</y>
  <width>31</width>
  <height>31</height>
  <uuid>{b769171c-dc45-4ebe-ad3c-1415b527309a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>410</x>
  <y>380</y>
  <width>31</width>
  <height>31</height>
  <uuid>{e4e24519-c34c-4345-a334-a78d6a17b3d4}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>444</x>
  <y>380</y>
  <width>31</width>
  <height>31</height>
  <uuid>{2d0eb70e-4172-4ee6-ae63-d5a50fce7222}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>478</x>
  <y>380</y>
  <width>31</width>
  <height>31</height>
  <uuid>{807cb7ba-5be5-410d-8761-f946c3b15eb9}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>512</x>
  <y>380</y>
  <width>31</width>
  <height>31</height>
  <uuid>{3c43fab5-a003-49c2-8a60-d1d690bdfec1}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>time</objectName>
  <x>176</x>
  <y>363</y>
  <width>366</width>
  <height>12</height>
  <uuid>{93949f54-8b81-45ed-a135-4eaaa5a8a527}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>time</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>66.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>65.99981689</xValue>
  <yValue>65.99981689</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>time</objectName>
  <x>173</x>
  <y>523</y>
  <width>366</width>
  <height>12</height>
  <uuid>{79166c2d-d02b-459e-803a-8cb4787f4ee6}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>time</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>66.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>65.99981689</xValue>
  <yValue>65.99981689</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>time</objectName>
  <x>173</x>
  <y>685</y>
  <width>367</width>
  <height>12</height>
  <uuid>{8da28a4f-ad08-4f81-848d-7d34e73e716e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>time</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>66.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>65.99981689</xValue>
  <yValue>65.99981689</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>173</x>
  <y>539</y>
  <width>31</width>
  <height>31</height>
  <uuid>{a9474583-5ba1-4b9c-af7b-bb820f6b6784}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>206</x>
  <y>539</y>
  <width>31</width>
  <height>31</height>
  <uuid>{cb77e8b0-c3dd-4a13-9698-d96fbb1b079b}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>239</x>
  <y>539</y>
  <width>31</width>
  <height>31</height>
  <uuid>{be291b3e-e976-40c5-a696-cc656febfdb9}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>272</x>
  <y>539</y>
  <width>31</width>
  <height>31</height>
  <uuid>{3dd40d22-3d0d-42e6-811a-5a94bb079cd6}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>305</x>
  <y>539</y>
  <width>31</width>
  <height>31</height>
  <uuid>{3f9c119e-e38e-40ea-a0ad-11fb34d98e5a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>338</x>
  <y>539</y>
  <width>31</width>
  <height>31</height>
  <uuid>{43498177-b0fd-43b4-b817-8598015fe408}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>372</x>
  <y>539</y>
  <width>31</width>
  <height>31</height>
  <uuid>{e922d38d-9db5-452c-b116-5718985b42e3}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>406</x>
  <y>539</y>
  <width>31</width>
  <height>31</height>
  <uuid>{aab5c105-e214-42d6-b14a-0d9b3eee601e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>440</x>
  <y>539</y>
  <width>31</width>
  <height>31</height>
  <uuid>{db8137f4-ae2b-4429-a46e-312642d6ced1}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>474</x>
  <y>539</y>
  <width>31</width>
  <height>31</height>
  <uuid>{feb8486d-fd5f-410a-ad35-bcdc0c0795a4}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>508</x>
  <y>539</y>
  <width>31</width>
  <height>31</height>
  <uuid>{06142102-b6a9-4b02-8a9b-c7347e30d585}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>173</x>
  <y>702</y>
  <width>31</width>
  <height>31</height>
  <uuid>{fa7eddb1-a639-4b0f-8cb5-8bc0487688bd}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>206</x>
  <y>702</y>
  <width>31</width>
  <height>31</height>
  <uuid>{d5704f37-45a7-4a8e-b866-712b025b8212}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>239</x>
  <y>702</y>
  <width>31</width>
  <height>31</height>
  <uuid>{54778d7c-278f-4b12-ad07-e069f5931c94}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>272</x>
  <y>702</y>
  <width>31</width>
  <height>31</height>
  <uuid>{8997e166-8ddc-4acf-81aa-cabcd9df8e5c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>305</x>
  <y>702</y>
  <width>31</width>
  <height>31</height>
  <uuid>{804f4ea9-25b8-4544-be5e-a54626e2839a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>338</x>
  <y>702</y>
  <width>31</width>
  <height>31</height>
  <uuid>{d8642231-c219-419c-a5eb-c95c956da348}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>372</x>
  <y>702</y>
  <width>31</width>
  <height>31</height>
  <uuid>{6a2d2307-67a7-4560-9142-e830cb67a927}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>406</x>
  <y>702</y>
  <width>31</width>
  <height>31</height>
  <uuid>{3ee4126b-9ec0-4f6f-a899-bc5112a9d938}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>440</x>
  <y>702</y>
  <width>31</width>
  <height>31</height>
  <uuid>{53354ebf-6882-446a-9cd5-89f8a3d537bf}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>474</x>
  <y>702</y>
  <width>31</width>
  <height>31</height>
  <uuid>{bfba2e80-57fe-46e1-a228-e42cc1d965e5}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>508</x>
  <y>702</y>
  <width>31</width>
  <height>31</height>
  <uuid>{8ae2058b-9104-4858-a04a-d1726bbc4a99}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enR1</objectName>
  <x>152</x>
  <y>381</y>
  <width>20</width>
  <height>55</height>
  <uuid>{90ab888f-67f6-492d-b504-3612b53d7a78}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>1.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enR2</objectName>
  <x>152</x>
  <y>540</y>
  <width>20</width>
  <height>55</height>
  <uuid>{f89942de-0e36-4004-96e8-350d89989c60}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>1.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enR3</objectName>
  <x>152</x>
  <y>702</y>
  <width>20</width>
  <height>55</height>
  <uuid>{c586d01c-4c8e-4554-814f-bb545c991524}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>1.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBScrollNumber">
  <objectName>time</objectName>
  <x>95</x>
  <y>204</y>
  <width>41</width>
  <height>24</height>
  <uuid>{7ea2d329-01f3-46a3-b3e6-7a8f9187950d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>right</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <value>65.99981689</value>
  <resolution>0.10000000</resolution>
  <minimum>0.00000000</minimum>
  <maximum>66.00000000</maximum>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
  <randomizable group="0">false</randomizable>
  <mouseControl act=""/>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>23</x>
  <y>178</y>
  <width>68</width>
  <height>25</height>
  <uuid>{261091c2-3b40-4bb7-9458-39c8d22ea8d1}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>signal</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>94</x>
  <y>178</y>
  <width>42</width>
  <height>25</height>
  <uuid>{b06cce13-8730-4e7a-905a-67375e0d1f67}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>time</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>132</x>
  <y>381</y>
  <width>20</width>
  <height>20</height>
  <uuid>{4a32c682-2303-47bc-b2f6-2e928995fc25}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>R</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>132</x>
  <y>540</y>
  <width>20</width>
  <height>20</height>
  <uuid>{6e72941c-5cde-4aa1-9237-f15211e29f79}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>R</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>132</x>
  <y>702</y>
  <width>20</width>
  <height>20</height>
  <uuid>{6886247e-37c0-457c-b904-b035a208f3cf}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>R</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>132</x>
  <y>337</y>
  <width>20</width>
  <height>20</height>
  <uuid>{7f353742-cede-449a-bd6e-ab7a336df62f}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>L</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>132</x>
  <y>497</y>
  <width>20</width>
  <height>20</height>
  <uuid>{ffdd4e64-176a-4f7e-abb8-a93faf200da3}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>L</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>132</x>
  <y>661</y>
  <width>20</width>
  <height>20</height>
  <uuid>{3807106c-691b-4a0a-88ae-b4d5ceba5d16}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>L</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enL1</objectName>
  <x>152</x>
  <y>302</y>
  <width>20</width>
  <height>55</height>
  <uuid>{16a6480f-c210-40c8-94c9-9b2baffcefe3}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enL2</objectName>
  <x>152</x>
  <y>463</y>
  <width>20</width>
  <height>55</height>
  <uuid>{ae9b8ef8-e7b3-418c-a529-21cf5085eb20}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>1.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enL3</objectName>
  <x>152</x>
  <y>626</y>
  <width>20</width>
  <height>55</height>
  <uuid>{d62414e1-deb8-4ade-ba0a-7e37623876fd}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>177</x>
  <y>327</y>
  <width>31</width>
  <height>31</height>
  <uuid>{bbde4e95-f4b6-456c-b237-22edad3ed321}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>210</x>
  <y>327</y>
  <width>31</width>
  <height>31</height>
  <uuid>{69912759-b369-4468-92bf-7f94b75a81cd}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>243</x>
  <y>327</y>
  <width>31</width>
  <height>31</height>
  <uuid>{fbe64357-309e-4000-b73b-5c4ae071f67b}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>276</x>
  <y>327</y>
  <width>31</width>
  <height>31</height>
  <uuid>{48a089aa-7108-45df-93bc-bbe7f672dae5}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>309</x>
  <y>327</y>
  <width>31</width>
  <height>31</height>
  <uuid>{83b42caf-be98-41b8-aed2-a2e53f603ad5}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>342</x>
  <y>327</y>
  <width>31</width>
  <height>31</height>
  <uuid>{d3ab3d15-ef45-4d3d-af59-fc39266d76ea}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>376</x>
  <y>327</y>
  <width>31</width>
  <height>31</height>
  <uuid>{93c03a2e-65a8-462d-8bb4-cd95511c1e8a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>410</x>
  <y>327</y>
  <width>31</width>
  <height>31</height>
  <uuid>{f21c4d9a-848c-458f-8d62-00b1e13ca8ab}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>444</x>
  <y>327</y>
  <width>31</width>
  <height>31</height>
  <uuid>{69495ef0-2e48-4c49-9a35-738b90470afb}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>478</x>
  <y>327</y>
  <width>31</width>
  <height>31</height>
  <uuid>{84b4193c-f59d-47e0-98cb-8cbaff6db614}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>512</x>
  <y>327</y>
  <width>31</width>
  <height>31</height>
  <uuid>{6ae8b351-3bcb-4e0e-9ede-37796afd654d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>174</x>
  <y>487</y>
  <width>31</width>
  <height>31</height>
  <uuid>{a88e572e-ca1a-40b2-ac46-0efed0879cb5}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>207</x>
  <y>487</y>
  <width>31</width>
  <height>31</height>
  <uuid>{c38696df-411a-430c-bb7c-0a7f9f3d8dcd}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>240</x>
  <y>487</y>
  <width>31</width>
  <height>31</height>
  <uuid>{76157688-9823-444b-8c4c-23ac0c84d0f8}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>273</x>
  <y>487</y>
  <width>31</width>
  <height>31</height>
  <uuid>{1ddfa522-14b9-40ce-b9e8-1df4920ace6f}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>306</x>
  <y>487</y>
  <width>31</width>
  <height>31</height>
  <uuid>{078e0ff3-4331-4514-ac1c-f2254c668d2e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>339</x>
  <y>487</y>
  <width>31</width>
  <height>31</height>
  <uuid>{806b1a87-d2dd-49d5-97d5-88b13059b6b1}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>373</x>
  <y>487</y>
  <width>31</width>
  <height>31</height>
  <uuid>{33bb180a-9c18-4b36-b414-63658232818c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>407</x>
  <y>487</y>
  <width>31</width>
  <height>31</height>
  <uuid>{8476af57-9e4e-46bd-9801-785acf9c68b8}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>441</x>
  <y>487</y>
  <width>31</width>
  <height>31</height>
  <uuid>{6c9e99ea-b917-4da1-a023-f6aa642858fb}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>475</x>
  <y>487</y>
  <width>31</width>
  <height>31</height>
  <uuid>{eaf91f61-63cc-4c28-a626-7fd655958aeb}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>509</x>
  <y>487</y>
  <width>31</width>
  <height>31</height>
  <uuid>{ed2c7282-7192-4264-a56f-9ed422a28ca6}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>174</x>
  <y>650</y>
  <width>31</width>
  <height>31</height>
  <uuid>{c5dbfc53-8963-41d0-b95e-45de2db07b37}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>207</x>
  <y>650</y>
  <width>31</width>
  <height>31</height>
  <uuid>{0fb0f696-0bc7-4e7e-b477-ab83c03994ee}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>240</x>
  <y>650</y>
  <width>31</width>
  <height>31</height>
  <uuid>{1f7c66de-e265-4cfe-8781-5bd4a023d73c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>273</x>
  <y>650</y>
  <width>31</width>
  <height>31</height>
  <uuid>{800dd240-6440-4691-9be4-4c3cdb68ac9f}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>306</x>
  <y>650</y>
  <width>31</width>
  <height>31</height>
  <uuid>{994861f6-d6d3-4210-93fd-e4986d287eac}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>339</x>
  <y>650</y>
  <width>31</width>
  <height>31</height>
  <uuid>{f1817158-b0bc-4a5b-ba0b-4848a7ff86ef}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>373</x>
  <y>650</y>
  <width>31</width>
  <height>31</height>
  <uuid>{51d81310-eb6e-4548-8f2b-205882402c18}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>407</x>
  <y>650</y>
  <width>31</width>
  <height>31</height>
  <uuid>{3e300ad1-dfa0-46a3-8aee-78d721bd09f1}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>441</x>
  <y>650</y>
  <width>31</width>
  <height>31</height>
  <uuid>{0ef3c06d-bb35-45fc-93b4-052890dea243}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>475</x>
  <y>650</y>
  <width>31</width>
  <height>31</height>
  <uuid>{aa2658cb-7497-4b4d-97a2-986e7d5a204d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>509</x>
  <y>650</y>
  <width>31</width>
  <height>31</height>
  <uuid>{bf98e365-17bf-46e9-b3be-c369288a5d2d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>_Play</objectName>
  <x>20</x>
  <y>122</y>
  <width>60</width>
  <height>50</height>
  <uuid>{09f068c5-ab2c-4dea-b8d4-cb53d3959147}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>value</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Play</text>
  <image>/</image>
  <eventLine/>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>_Stop</objectName>
  <x>84</x>
  <y>122</y>
  <width>60</width>
  <height>50</height>
  <uuid>{691a0bfe-7f0a-410b-88cf-366484c31a5e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>value</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Stop</text>
  <image>/</image>
  <eventLine/>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
</bsbPanel>
<bsbPresets>
</bsbPresets>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 72 179 400 200
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>

<MacGUI>
ioView background {0, 52428, 52428}
ioText {14, 113} {540, 718} label 0.000000 0.00100 "" left "Arial" 10 {0, 0, 0} {39168, 52224, 26112} nobackground noborder 
ioGraph {463, 158} {80, 64} scope 1.000000 -255 
ioText {15, 5} {538, 100} label 0.000000 0.00100 "" center "Arial" 14 {0, 0, 0} {52224, 52224, 52224} nobackground noborder CSOUND INSIDEÂ¬Enrico Francioni Â¬"Building Csound-based Systems for Realtime Chamber Music Performance"Â¬TUTORIAL #2-01: "SOLO [Nr.19]" - Digital set-up for Stockhausen's composition - Â¬from his analog to my digital setup.
ioMenu {20, 204} {74, 23} 2 303 "none,mic,mp3" sig
ioText {317, 169} {89, 28} label 0.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 11 * 6 sec
ioText {176, 241} {31, 31} label 1.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 1
ioText {209, 241} {31, 31} label 2.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 2
ioText {242, 241} {31, 31} label 3.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 3
ioText {275, 241} {31, 31} label 4.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 4
ioText {308, 241} {31, 31} label 5.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 5
ioText {342, 241} {31, 31} label 6.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 6
ioText {376, 241} {31, 31} label 7.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 7
ioText {410, 241} {31, 31} label 8.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 8
ioText {444, 241} {31, 31} label 9.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 9
ioText {478, 241} {31, 31} label 10.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 10
ioText {512, 241} {31, 31} label 11.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 11
ioText {172, 158} {46, 46} label 0.000000 0.00100 "" center "Arial" 30 {0, 0, 0} {65280, 65280, 65280} nobackground noborder A
ioText {220, 173} {44, 25} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder (66 s)
ioMeter {176, 274} {366, 12} {0, 59904, 0} "time" 65.999817 "time" 65.999817 fill 1 0 mouse
ioText {21, 246} {110, 28} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder SOLOIST
ioText {21, 355} {110, 28} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder MICROPHONE
ioText {21, 514} {110, 28} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder FEEDBACK
ioText {21, 676} {110, 28} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder PLAYBACK
ioText {21, 785} {110, 28} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder DELAY
ioText {192, 785} {51, 24} scroll 6.000000 0.100000 "del" right "Arial" 16 {0, 0, 0} {65280, 65280, 65280} background noborder 
ioKnob {137, 773} {51, 50} 30.000000 0.000000 0.010000 6.000000 del
ioMeter {177, 380} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {210, 380} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {243, 380} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {276, 380} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {309, 380} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {342, 380} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {376, 380} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {410, 380} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {444, 380} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {478, 380} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {512, 380} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {176, 363} {366, 12} {0, 59904, 0} "time" 65.999817 "time" 65.999817 fill 1 0 mouse
ioMeter {173, 523} {366, 12} {0, 59904, 0} "time" 65.999817 "time" 65.999817 fill 1 0 mouse
ioMeter {173, 685} {367, 12} {0, 59904, 0} "time" 65.999817 "time" 65.999817 fill 1 0 mouse
ioMeter {173, 539} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {206, 539} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {239, 539} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {272, 539} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {305, 539} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {338, 539} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {372, 539} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {406, 539} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {440, 539} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {474, 539} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {508, 539} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {173, 702} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {206, 702} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {239, 702} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {272, 702} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {305, 702} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {338, 702} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {372, 702} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {406, 702} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {440, 702} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {474, 702} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {508, 702} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioSlider {152, 381} {20, 55} 0.000000 1.000000 1.000000 enR1
ioSlider {152, 540} {20, 55} 0.000000 1.000000 1.000000 enR2
ioSlider {152, 702} {20, 55} 0.000000 1.000000 1.000000 enR3
ioText {95, 204} {41, 24} scroll 65.999817 0.100000 "time" right "Arial" 14 {0, 0, 0} {65280, 65280, 65280} background noborder 
ioText {23, 178} {68, 25} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder signal
ioText {94, 178} {42, 25} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder time
ioText {132, 381} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder R
ioText {132, 540} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder R
ioText {132, 702} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder R
ioText {132, 337} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder L
ioText {132, 497} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder L
ioText {132, 661} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder L
ioSlider {152, 302} {20, 55} 0.000000 1.000000 0.000000 enL1
ioSlider {152, 463} {20, 55} 0.000000 1.000000 1.000000 enL2
ioSlider {152, 626} {20, 55} 0.000000 1.000000 0.000000 enL3
ioMeter {177, 327} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {210, 327} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {243, 327} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {276, 327} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {309, 327} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {342, 327} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {376, 327} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {410, 327} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {444, 327} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {478, 327} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {512, 327} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {174, 487} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {207, 487} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {240, 487} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {273, 487} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {306, 487} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {339, 487} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {373, 487} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {407, 487} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {441, 487} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {475, 487} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {509, 487} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {174, 650} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {207, 650} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {240, 650} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {273, 650} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {306, 650} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {339, 650} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {373, 650} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {407, 650} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {441, 650} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {475, 650} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {509, 650} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioButton {20, 122} {60, 50} value 1.000000 "_Play" "Play" "/" 
ioButton {84, 122} {60, 50} value 1.000000 "_Stop" "Stop" "/" 
</MacGUI>
