
/*
tutorial_#4-04

=====================
Six Online Tutorials:
=====================

The tutorials online propose ideas and approaches, which allow the user to problematize and then practice to do something to use for their own purposes.
Describes the stages of construction of some systems to help the reader, step by step, to learn to do something, to build patchs be used effectively in the performance.
Examples are some ideas to change, expand, or start from scratch using the same ideas or the same solutions and then realize their control systems.

=====================
ONLINE TUTORIAL #4
4. "Ryoanji" (by John Cage) - a possible solution for the sound system (by E.Francioni).
=====================

In this tutorial_#4-04 it is accomplished by way of example the Sound system of a line of Vocalise.

Some observations:
    we can observe in the orchestra:
    - The drafting of the score of a line of Vocalise (instr VX2), consisting of a series of calls made with the schedule and containing: action-time, duration, and values ​​for stretching;
    - In the same instr VX2 you are given the opportunity to choose between wav and samples pvx
    - Its stretching samples wav (instr vx2mnc) with reference to the values ​​"i" of the p-fields contained in the schedule (instr VX2);
    - Its stretching samples pvx (instr vx2pvx) with reference to the values ​​"i" of the p-fields contained in the schedule (instr VX2);
    - Stretching pitch (controlled dall'opcode transeg) has been reduced to the values ​​of 4 steps (ia, ib, ic, id) for audio samples and 3 steps for samples pvx; the values ​​are then passed mincer opcode;
    N.B. The values ​​of actions-time (p2) of the schedule (taken from the original score) in this tutorial were subtracted value (offset) in order to start the second 0.

    Widgets in the Panel is given the opportunity to:
    - Choose from the menu "samples" which type of samples used (audio or pvx);
    - Choose "library" to use the data samples or "my" to use their own samples from Menu "audio samples" (if you chose to use audio samples)
    or
    - Choose "library" to use the data samples or "my" to use their own samples from Menu "pvx-samples" (if you chose to use samples pvx)
    - Give PLAY to run
    * When running "timer-play" displays the elapsed time and "meter" the bpm = 60

*/

<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

; header for play
sr	=	44100
ksmps 	= 	128
nchnls	=	1
0dbfs	=	1

; global variables
gkiPlay	init	0
gkVX1234	init	0
gkmnc		init	0
gkpvx		init	0
gkled3 	init	0
gkled4 	init	0

;=======================================
;=======================================

; T A B L E S

;=======================================
;=======================================

; VOCALISE-SAMPLES

; samples for vx on 4 voice ("LIBRARY" - samples have data)
gir17	ftgen 17, 	0, 	0, 	1, "Vx_I.wav", 		0, 0, 0
gir18	ftgen 18, 	0, 	0, 	1, "Vx_O.wav", 	0, 0, 0
gir19	ftgen 19, 	0, 	0, 	1, "Vx_A.wav", 	0, 0, 0
gir20	ftgen 20, 	0, 	0, 	1, "Vx_E.wav", 	0, 0, 0

; samples for vx on 4 voice ("MY" - samples previously registered)
gir21	ftgen 21, 	0, 	0, 	1, "myVx_I.wav", 	0, 0, 0
gir22	ftgen 22, 	0, 	0, 	1, "myVx_O.wav", 	0, 0, 0
gir23	ftgen 23, 	0, 	0, 	1, "myVx_A.wav", 	0, 0, 0
gir24	ftgen 24, 	0, 	0, 	1, "myVx_E.wav", 	0, 0, 0


;=======================================
;=======================================

; P L A Y 

;=======================================
;=======================================

;=======================================
	instr iPlay		; call parformance
;=======================================

gkiPlay 	= 1 - gkiPlay

	schedkwhen		gkiPlay, -1, 1, "MTR", 0, -1
	schedkwhen		gkiPlay, -1, 1, "TIM", 0, -1
	schedkwhen		gkiPlay, -1, 1, "VX2", 0, -1

	turnoff
	endin

;=======================================

; V O C A L I S E   (ad libitum)

;=======================================
		
;=======================================
	instr VX2	; options call Vocalise 2
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:
	
if	i(gkVX1234)	=	0	then

;		p1		p2			p3	p4	p5	p6	p7	p8	p9	p10	p11	p12	p13	p14	p15	p16	p17	p18	p19
;GARDEN_01
schedule	"vx2mnc",	44.7-44.7,		2,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	113.2-44.7,		2,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	117-44.7,		4.8,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	125.8-44.7,		2.1,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	130.2-44.7,		.4,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	133-44.7,		2.5,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	147-44.7,		7.8,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_04
schedule	"vx2mnc",	425.4-44.7,		2.5,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	509.3-44.7,		2,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_05
schedule	"vx2mnc",	534.4-44.7,		.2,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	564-44.7,		17,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	602.7-44.7,		6,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	622.75-44.7,		2,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_06
schedule	"vx2mnc",	673-44.7,		8.2,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1	
schedule	"vx2mnc",	735.2-44.7,		3.1,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	742-44.7,		4.5,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

gkled3 = 1
gkled4 = 0

turnoff

elseif	i(gkVX1234)	=	1	then

; 		p1		p2			p3	p4	p5	p6	p7	p8		p9	p10	p11
;GARDEN_01
schedule	"vx2pvx",	44.7-44.7,		2,	.28,	.32,	.98,	.989,	.95,		1,	.8,	.7
schedule	"vx2pvx",	113.2-44.7,		2,	.2, 	.3,	.98,	.91,	.99,		1,	.8,	.7
schedule	"vx2pvx",	117-44.7,		4.8,	.29,	.33,	.93,	.89,	.99,		1,	2,	1
schedule	"vx2pvx",	125.8-44.7,		2.1,	.22,	.4,	1,	.9,	.91,		1,	.8,	.7
schedule	"vx2pvx",	130.2-44.7,		.4,	.12,	.282,	.87,	1.02,	.8888,	1.5,	.1,	.1
schedule	"vx2pvx",	133-44.7,		2.5,	.28,	.3,	.9,	.94,	.895,		.8,	1,	1.5
schedule	"vx2pvx",	147-44.7,		7.8,	.29,	.299,	.99,	1.01,	.885,		.8,	2,	2.5

;GARDEN_04
schedule	"vx2pvx",	425.4-44.7,		2.5,	.18,	.32,	.95,	.99,	1.07,		.8,	.9,	1.5
schedule	"vx2pvx",	509.3-44.7,		2,	.18,	.32,	.98,	1.05,	.93,		.8,	.8,	.8

;GARDEN_05
schedule	"vx2pvx",	534.4-44.7,		.2,	.151,	.156,	.98,	.96,	.95,		1.9,	.009,	.02
schedule	"vx2pvx",	564-44.7,		17,	.155,	.001,	.98,	1.05,	.53,		.9,	2,	3
schedule	"vx2pvx",	602.7-44.7,		6,	.156,	.19,	1,	1.05,	1.11,		.8,	1.6,	4
schedule	"vx2pvx",	622.75-44.7,		2,	.19,	.191,	.9,	.89,	.81,		.4,	.74,	.73

;GARDEN_06
schedule	"vx2pvx",	673-44.7,		8.2,	.2,	.21,	1,	1.08,	.9,		.4,	1,	2	
schedule	"vx2pvx",	735.2-44.7,		3.1,	.21,	.205,	.95,	.87,	.895,		.4,	.7,	1
schedule	"vx2pvx",	742-44.7,		4.5,	.25,	.24,	.95,	1.1,	.99,		.4,	.7,	1.5

gkled3 = 0
gkled4 = 1

turnoff

endif

	endin

;=======================================
	instr vx2mnc	; stretching sample Vocalise 2
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if i(gkmnc) = 0 then
iSmpl	= 0
else
iSmpl = 4
endif 


idur  = p3

ilock = p19 

itab = p4+iSmpl

ipw1 = p5
ipw2 = p6
ipw3 = p7
ipw4 = p8
ityp1= p9
ityp2= p10 
ityp3= p11
idur1= idur/p14
idur2= idur/p15
idur3= idur/p16

ihlfstp = 2^(1/12)

ia	=	ihlfstp^ipw1
ib	=	ihlfstp^ipw2
ic	=	ihlfstp^ipw3
id	=	ihlfstp^ipw4

kpitch transeg	ia,	idur1,  	ityp1, ib, idur2, ityp2, ic, idur3, ityp3, id

imp1	=	p12*0dbfs
imp2	=	p13*0dbfs

ia	=	idur/p17
ib	=	idur/p18

kamp	linseg	0, ia, imp1, idur-(ia+ib), imp2, ib, 0

itimescale = .5
atime line   .1,idur,idur*itimescale

asig		mincer atime, kamp, kpitch, itab, ilock

	out	asig
	
ktimer	timeinsts
outvalue "timer", ktimer

	endin


;=======================================
	instr vx2pvx	; stretching pvx Vocalise 2
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

ktimpnt	line		p4, p3, p5
kfmod		linseg		p6, p3/2, p7, p3/2, p8

if i(gkpvx)	= 0 then
Sfile		= "Ryoanji_01.pvx"
else
Sfile		= "myVx_O.pvx"
endif

fsigr 	pvsfread	ktimpnt, Sfile
fftblur	pvscale	fsigr, kfmod
apvx  	pvsynth	fftblur

kenv 		linen	p9, p10, p3, p11
asig		=	apvx * kenv

		out	asig
		
ktimer	timeinsts
outvalue "timer", ktimer

	endin
		
;=======================================
	instr MTR	; metronome
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

kphsr 	phasor	 1

if kphsr >= .0009 && kphsr <= .2 then
kmtr 	=	1 
	else	
kmtr	=	0 
endif
outvalue "mtr", kmtr

	endin
	
;=======================================
	instr TIM	; timer
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

ktimer	timeinsts
	outvalue "timer", ktimer

	endin
		

;=======================================
instr GUI		; GUI
;=======================================

; invalue
gkVX1234	invalue 	"VX1234"
gkmnc		invalue 	"mnc"
gkpvx		invalue 	"pvx"

; outvalue
outvalue	"iPlay", 	gkiPlay
outvalue	"led3",		gkled3
outvalue	"led4",		gkled4 

endin


</CsInstruments>
<CsScore>
i"GUI"	.1	-1

e3600

</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>72</x>
 <y>245</y>
 <width>735</width>
 <height>597</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="background">
  <r>129</r>
  <g>142</g>
  <b>124</b>
 </bgcolor>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>142</x>
  <y>174</y>
  <width>461</width>
  <height>183</height>
  <uuid>{49bfb153-3c72-461b-b75f-52db6a63f015}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>102</r>
   <g>255</g>
   <b>153</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>6</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>84</x>
  <y>8</y>
  <width>579</width>
  <height>86</height>
  <uuid>{951fe7d4-4247-432d-8eee-6e8889420259}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>CSOUND INSIDE
Enrico Francioni 
"Building Csound-based Systems for Realtime Chamber Music Performance"
TUTORIAL #4-04: "RYOANJI" (by John Cage) - a possible solution for the sound system.</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>204</r>
   <g>204</g>
   <b>204</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>280</x>
  <y>128</y>
  <width>191</width>
  <height>27</height>
  <uuid>{266bcbec-06b6-427d-ad31-40336f95e722}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>PLAY VOCALISE</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>102</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>iPlay</objectName>
  <x>152</x>
  <y>190</y>
  <width>91</width>
  <height>68</height>
  <uuid>{bdb3b522-2395-44ac-87a7-fed76d2e8b28}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>PLAY</text>
  <image>/</image>
  <eventLine>i"iPlay" 0 -1</eventLine>
  <latch>true</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>VX1234</objectName>
  <x>248</x>
  <y>225</y>
  <width>103</width>
  <height>28</height>
  <uuid>{a6f90fc2-1412-40f3-a203-50ed82f4c05f}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>audio</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>pvx</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>1</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>249</x>
  <y>193</y>
  <width>102</width>
  <height>28</height>
  <uuid>{ca74e6c5-ccda-478b-b0f3-990a6c42de87}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>samples</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>248</x>
  <y>278</y>
  <width>102</width>
  <height>28</height>
  <uuid>{6c90e0b5-2e88-4272-bc0e-be7a274090ca}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>timer-play</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>70</x>
  <y>389</y>
  <width>604</width>
  <height>171</height>
  <uuid>{62dea836-b56e-404f-b055-9288879e720e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Guide to Play:

1. choose the menu "samples" which type of samples used (audio or pvx)
2. If you chose to use audio samples, the audio-samples menu choose "library" to use the data samples, or "my" to use their own samples
or
3. If you chose to use samples pvx, Menu pvx-samples choose "library" to use the data samples or "my" to use their own samples
4. give the PLAY to run
* While running the timer-play will show the elapsed time and the meter = 60 bpm</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>204</r>
   <g>204</g>
   <b>204</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>timer</objectName>
  <x>248</x>
  <y>311</y>
  <width>102</width>
  <height>28</height>
  <uuid>{d7d78aaf-c337-4e82-b82b-77dc55c02729}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>11.770</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>mnc</objectName>
  <x>363</x>
  <y>225</y>
  <width>103</width>
  <height>28</height>
  <uuid>{d6922dc6-75c7-452c-aec8-ae7b3ebdda44}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>library</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>my</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>0</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>364</x>
  <y>193</y>
  <width>102</width>
  <height>28</height>
  <uuid>{91c98b60-fc47-44ba-8200-23e650b17100}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>audio-samples</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>pvx</objectName>
  <x>475</x>
  <y>225</y>
  <width>103</width>
  <height>28</height>
  <uuid>{81234b0c-97b6-4b45-9ef6-52704696ecf9}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>library</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>my</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>1</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>476</x>
  <y>193</y>
  <width>102</width>
  <height>28</height>
  <uuid>{a31fb0a0-96ac-4b75-a808-b618a3078a0d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>pvx-samples</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>led3</objectName>
  <x>367</x>
  <y>201</y>
  <width>11</width>
  <height>11</height>
  <uuid>{c92d0795-2868-4428-b16a-e610f8a71938}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>led3</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>led4</objectName>
  <x>480</x>
  <y>200</y>
  <width>11</width>
  <height>11</height>
  <uuid>{b0320103-cc79-48a0-bfae-e895053d8319}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>led4</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>mtr</objectName>
  <x>375</x>
  <y>311</y>
  <width>28</width>
  <height>28</height>
  <uuid>{8098bff5-0129-4904-8b31-136bb38cf7a9}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>mtr</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>365</x>
  <y>278</y>
  <width>48</width>
  <height>27</height>
  <uuid>{04a852d9-8df7-48d0-bf6e-1e034eb15435}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>metro</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
</bsbPanel>
<bsbPresets>
</bsbPresets>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 72 179 400 200
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>

<MacGUI>
ioView background {33153, 36494, 31868}
ioText {142, 174} {461, 183} label 0.000000 0.00100 "" left "Arial" 10 {0, 0, 0} {26112, 65280, 39168} nobackground noborder 
ioText {84, 8} {579, 86} label 0.000000 0.00100 "" center "Arial" 14 {0, 0, 0} {52224, 52224, 52224} nobackground noborder CSOUND INSIDEÂ¬Enrico Francioni Â¬"Building Csound-based Systems for Realtime Chamber Music Performance"Â¬TUTORIAL #4-04: "RYOANJI" (by John Cage) - a possible solution for the sound system.
ioText {280, 128} {191, 27} label 0.000000 0.00100 "" center "Arial" 14 {0, 0, 0} {65280, 26112, 65280} nobackground noborder PLAY VOCALISE
ioButton {152, 190} {91, 68} event 1.000000 "iPlay" "PLAY" "/" i"iPlay" 0 -1
ioMenu {248, 225} {103, 28} 1 303 "audio,pvx" VX1234
ioText {249, 193} {102, 28} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder samples
ioText {248, 278} {102, 28} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder timer-play
ioText {70, 389} {604, 171} label 0.000000 0.00100 "" left "Arial" 12 {0, 0, 0} {52224, 52224, 52224} nobackground noborder Guide to Play:Â¬Â¬1. choose the menu "samples" which type of samples used (audio or pvx)Â¬2. If you chose to use audio samples, the audio-samples menu choose "library" to use the data samples, or "my" to use their own samplesÂ¬orÂ¬3. If you chose to use samples pvx, Menu pvx-samples choose "library" to use the data samples or "my" to use their own samplesÂ¬4. give the PLAY to runÂ¬* While running the timer-play will show the elapsed time and the meter = 60 bpm
ioText {248, 311} {102, 28} display 11.770000 0.00100 "timer" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 11.770
ioMenu {363, 225} {103, 28} 0 303 "library,my" mnc
ioText {364, 193} {102, 28} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder audio-samples
ioMenu {475, 225} {103, 28} 1 303 "library,my" pvx
ioText {476, 193} {102, 28} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder pvx-samples
ioMeter {367, 201} {11, 11} {0, 59904, 0} "led3" 0.000000 "led3" 0.000000 fill 1 0 mouse
ioMeter {480, 200} {11, 11} {0, 59904, 0} "led4" 0.000000 "led4" 0.000000 fill 1 0 mouse
ioMeter {375, 311} {28, 28} {0, 59904, 0} "mtr" 0.000000 "mtr" 0.000000 fill 1 0 mouse
ioText {365, 278} {48, 27} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder metro
</MacGUI>
<EventPanel name="" tempo="60.00000000" loop="8.00000000" x="392" y="328" width="655" height="346" visible="true" loopStart="0" loopEnd="0">    </EventPanel>
