/*
tutorial_#1-11 (with exercise)

This last tutorial_#1-11 (which concludes the series of tutorial_#1) asks the reader / student more effort and a little 'more time to compile the code of all the Assistants (1, 2 and 3) in the two Channels (Left and Right) and for all Cycles A, B, C, D, E, F of the FormSchema Version I.

Starting from the tutorial#1-10 will be necessary:
• the score to add the code for the missing Cycles (B, C, D, E, F) in the twelve functions of the Assistants - the data can be taken from the FormSchema Version I;
• the score to change the duration of all instruments (p3); the new duration will be given by the sum of the duration of all Cycles (A=66, B=113.6, C=133, D=151.8, E=95.4, F=80)
• orchestra insert, copying it from tutorial_#1-10 (previously completed), the code of the first six instruments Assistants (instr 1: Assistant 1 Left, instr 2: 1 Right Assistant, instr 3: Assistant 2 Left, instr 4: Assistant 2 Right, instr 5: Assistant 3 Left, instr 6: Assistant 3 Right).

Moreover it is noteworthy that:
- in the orchestra you have already been amended on the variable values kdel that now welcomes all delay times (deltapi) for all six Cycles (A, B, C, D, E, F);
- the graphical interface has already been simplified by omitting the box static representatives envelopes Assistants and Controllers representatives temporal progression; they were kept sliders instead of the three Assistants (Microphone, Feedback and Playback) relative to Left and Right Channels in addition to the slider of the fourth Assistant (Delay).

So after filling the csd and started the algorithm, we will observe the progression of the signal through the Controller and her correspondence with boxes numbered from 1 to 11 representing the Periods and verify the presence or absence of the audio signal corresponding to the colored boxes , but also taking account of the delay times (deltapi) and accumulation applied to the signal for the two channels.

*/

<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr 		=	44100
ksmps 		=	128
nchnls 		=	2
0dbfs 		= 	1

gkenl1		init	0
gkenl2		init	0
gkenl3		init	0
gkenr1		init	0
gkenr2		init	0
gkenr3		init	0

;==================================================================================================================
	instr 1			; PATCH FOR THE GENERATION OF LINE OF THE ENVELOPE SLIDER ASSISTANT - MICROPHONE - LEFT
;==================================================================================================================

												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
												
	endin

;==================================================================================================================
	instr 2			; PATCH FOR THE GENERATION OF LINE OF THE ENVELOPE SLIDER ASSISTANT - MICROPHONE - RIGHT
;==================================================================================================================

												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
												
	endin

;==================================================================================================================
	instr 3			; PATCH FOR THE GENERATION OF LINE OF THE ENVELOPE SLIDER ASSISTANT - FEEDBACK - LEFT
;==================================================================================================================

												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
												
	endin

;==================================================================================================================
	instr 4			; PATCH FOR THE GENERATION OF LINE OF THE ENVELOPE SLIDER ASSISTANT - FEEDBACK - RIGHT
;==================================================================================================================

												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
												
	endin
	
;==================================================================================================================
	instr 5			; PATCH FOR THE GENERATION OF LINE OF THE ENVELOPE SLIDER ASSISTANT - PLAYBACK - LEFT
;==================================================================================================================

												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
												
	endin

;==================================================================================================================
	instr 6			; PATCH FOR THE GENERATION OF LINE OF THE ENVELOPE SLIDER ASSISTANT - PLAYBACK - RIGHT
;==================================================================================================================

												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
												
	endin
	
;==================================================================================================================
	instr 7 				; TECHNICAL_SET-UP
;==================================================================================================================

;==================================================================================================================
; SIGNAL
;==================================================================================================================

ksig	invalue "sig"
if i(ksig) == 0 then
asig = 0
elseif i(ksig) == 1 then
asig		inch	1
elseif i(ksig) == 2 then
asig, aright	mp3in	"1-11del.mp3"
endif

;==================================================================================================================
; ASSISTANT_1 - LEFT & RIGHT	-	MICROPHONE
;==================================================================================================================

al_A 	=	asig * gkenl1
ar_A 	=	asig * gkenr1

;==================================================================================================================
; VALUE MITIGATION AMPLITUDE SIGNAL
;==================================================================================================================

igain 	=	.8

;==================================================================================================================
;ASSISTANT_4		-	DELAY
;==================================================================================================================

ia	=	.0001
ktdel		linseg	6, 66, 6, ia, 14.2, 113.6-ia, 14.2, ia, 19, 133-ia, 19, ia, 25.3, 151.8-ia, 25.3, ia, 10.6, 95.4-ia, 10.6, ia, 8, 80-ia, 8  	; ASSISTANT_4 SWITCH deltapi - time variation of delay values of all the CYCLES (A, B, C, D, E, F)

;==================================================================================================================
;ASSISTANT_2 - LEFT	-	FEED-BACK
;==================================================================================================================

adummyl 	delayr	25.3
adel_A 	deltapi	ktdel
awriteL 	=	(al_A + (adel_A * gkenl2)) * igain
		delayw	 awriteL

;==================================================================================================================
; ASSISTANT_2 - RIGHT	-	FEED-BACK
;==================================================================================================================

adummyr 	delayr	25.3
ader_A 	deltapi	ktdel
awriteR 	=	(ar_A + (ader_A * gkenr2)) * igain
		delayw awriteR

;==================================================================================================================
;ASSISTANT_3 - LEFT & RIGHT		-	PLAY-BACK
;==================================================================================================================

a_left 		=	adel_A * gkenl3
a_right 	=	ader_A * gkenr3

;==================================================================================================================
;OUT
;==================================================================================================================

		outs	a_left, a_right 				; output (optionally you can add to the processed signal a percentage of the input signal asig)
		
; debugging
outvalue "enL1", gkenl1
outvalue "enL2", gkenl2
outvalue "enL3", gkenl3
outvalue "enR1", gkenr1
outvalue "enR2", gkenr2
outvalue "enR3", gkenr3
outvalue "del", ktdel
ktinst	timeinsts
outvalue "time", ktinst

	endin

;==================================================================================================================


</CsInstruments>
<CsScore>

;ASSISTANT "1" LEFT	
;f1												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
;f2												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
;ASSISTANT "1" RIGHT
;f3												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
;f4												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !

;ASSISTANT "2" LEFT	
;f5												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
;f6												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
;ASSISTANT "2" RIGHT
;f7												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
;f8												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !

;ASSISTANT "3" LEFT	
;f9												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
;f10												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
;ASSISTANT "3" RIGHT
;f11												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !
;f12												; ...TO BE COMPLETED BY THE PLAYER/STUDENT !

i1	0	639.8	 .001	.001	1	2
i2	0	639.8	 .001	.001	3	4
i3	0	639.8	 .001	.001	5	6
i4	0	639.8	 .001	.001	7	8
i5	0	639.8	 .001	.001	9	10
i6	0	639.8	 .001	.001	11	12
i7	0	639.8
e
</CsScore>
</CsoundSynthesizer><bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>72</x>
 <y>179</y>
 <width>400</width>
 <height>200</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="background">
  <r>0</r>
  <g>204</g>
  <b>204</b>
 </bgcolor>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>15</x>
  <y>125</y>
  <width>539</width>
  <height>583</height>
  <uuid>{3a856060-50c6-4015-b715-6df204cbd96a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>153</r>
   <g>204</g>
   <b>102</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>5</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBScope">
  <objectName/>
  <x>462</x>
  <y>169</y>
  <width>80</width>
  <height>64</height>
  <uuid>{41e885d8-8f8e-47bd-b14f-3416933132e9}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <value>-255.00000000</value>
  <type>scope</type>
  <zoomx>1.00000000</zoomx>
  <zoomy>3.00000000</zoomy>
  <dispx>1.00000000</dispx>
  <dispy>1.00000000</dispy>
  <mode>0.00000000</mode>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>16</x>
  <y>16</y>
  <width>538</width>
  <height>100</height>
  <uuid>{951fe7d4-4247-432d-8eee-6e8889420259}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>CSOUND INSIDE
Enrico Francioni 
"Building Csound-based Systems for Realtime Chamber Music Performance"
TUTORIAL #1-11: "SOLO [Nr.19]" - Digital set-up for Stockhausen's composition - 
from his analog to my digital setup.</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>204</r>
   <g>204</g>
   <b>204</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>sig</objectName>
  <x>20</x>
  <y>203</y>
  <width>74</width>
  <height>23</height>
  <uuid>{deb92c08-53c3-46dc-b624-e51ca5ea7031}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>none</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>mic</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>mp3</name>
    <value>2</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>2</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>142</x>
  <y>247</y>
  <width>110</width>
  <height>28</height>
  <uuid>{1ba2dd9c-618c-412d-b4f7-b314a5bb62a8}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>SOLOIST</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>142</x>
  <y>329</y>
  <width>110</width>
  <height>28</height>
  <uuid>{113057c0-c2a7-4033-ba49-159f600f5b0c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>MICROPHONE</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>142</x>
  <y>427</y>
  <width>110</width>
  <height>28</height>
  <uuid>{b51d7307-d88f-4d56-aebe-8b13d85cfa73}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>FEEDBACK</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>142</x>
  <y>546</y>
  <width>110</width>
  <height>28</height>
  <uuid>{9c9efa41-a0dd-4a30-b392-b7aa9025c912}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>PLAYBACK</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>142</x>
  <y>648</y>
  <width>110</width>
  <height>28</height>
  <uuid>{1b09316f-08b3-4bc0-9c50-a425394f890d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>DELAY</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBScrollNumber">
  <objectName>del</objectName>
  <x>344</x>
  <y>650</y>
  <width>51</width>
  <height>24</height>
  <uuid>{aa60b70f-e0bc-432a-be68-723f08cbea23}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>right</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <value>14.19999981</value>
  <resolution>0.10000000</resolution>
  <minimum>0.00000000</minimum>
  <maximum>30.00000000</maximum>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
  <randomizable group="0">false</randomizable>
  <mouseControl act=""/>
 </bsbObject>
 <bsbObject version="2" type="BSBKnob">
  <objectName>del</objectName>
  <x>289</x>
  <y>638</y>
  <width>51</width>
  <height>50</height>
  <uuid>{c139629d-1986-4d62-91f7-32c50f6165fb}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>30.00000000</maximum>
  <value>14.19999981</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>0.01000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enR1</objectName>
  <x>358</x>
  <y>301</y>
  <width>20</width>
  <height>55</height>
  <uuid>{90ab888f-67f6-492d-b504-3612b53d7a78}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enR2</objectName>
  <x>358</x>
  <y>402</y>
  <width>20</width>
  <height>55</height>
  <uuid>{f89942de-0e36-4004-96e8-350d89989c60}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enR3</objectName>
  <x>358</x>
  <y>519</y>
  <width>20</width>
  <height>55</height>
  <uuid>{c586d01c-4c8e-4554-814f-bb545c991524}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBScrollNumber">
  <objectName>time</objectName>
  <x>96</x>
  <y>203</y>
  <width>54</width>
  <height>24</height>
  <uuid>{7ea2d329-01f3-46a3-b3e6-7a8f9187950d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>right</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <value>76.74195099</value>
  <resolution>0.10000000</resolution>
  <minimum>0.00000000</minimum>
  <maximum>839.80000000</maximum>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
  <randomizable group="0">false</randomizable>
  <mouseControl act=""/>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>23</x>
  <y>177</y>
  <width>68</width>
  <height>25</height>
  <uuid>{261091c2-3b40-4bb7-9458-39c8d22ea8d1}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>signal</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>96</x>
  <y>177</y>
  <width>54</width>
  <height>25</height>
  <uuid>{b06cce13-8730-4e7a-905a-67375e0d1f67}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>time</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>377</x>
  <y>336</y>
  <width>20</width>
  <height>20</height>
  <uuid>{4a32c682-2303-47bc-b2f6-2e928995fc25}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>R</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>377</x>
  <y>437</y>
  <width>20</width>
  <height>20</height>
  <uuid>{6e72941c-5cde-4aa1-9237-f15211e29f79}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>R</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>377</x>
  <y>554</y>
  <width>20</width>
  <height>20</height>
  <uuid>{6886247e-37c0-457c-b904-b035a208f3cf}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>R</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>284</x>
  <y>336</y>
  <width>20</width>
  <height>20</height>
  <uuid>{7f353742-cede-449a-bd6e-ab7a336df62f}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>L</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>284</x>
  <y>435</y>
  <width>20</width>
  <height>20</height>
  <uuid>{ffdd4e64-176a-4f7e-abb8-a93faf200da3}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>L</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>284</x>
  <y>553</y>
  <width>20</width>
  <height>20</height>
  <uuid>{3807106c-691b-4a0a-88ae-b4d5ceba5d16}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>L</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enL1</objectName>
  <x>304</x>
  <y>301</y>
  <width>20</width>
  <height>55</height>
  <uuid>{16a6480f-c210-40c8-94c9-9b2baffcefe3}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enL2</objectName>
  <x>304</x>
  <y>401</y>
  <width>20</width>
  <height>55</height>
  <uuid>{ae9b8ef8-e7b3-418c-a529-21cf5085eb20}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enL3</objectName>
  <x>304</x>
  <y>518</y>
  <width>20</width>
  <height>55</height>
  <uuid>{d62414e1-deb8-4ade-ba0a-7e37623876fd}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>134</x>
  <y>132</y>
  <width>285</width>
  <height>36</height>
  <uuid>{2d646d86-213b-47c6-b1b2-289b58a0c21e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>FORM-SCHEMA Version I</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>20</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>2</borderwidth>
 </bsbObject>
</bsbPanel>
<bsbPresets>
</bsbPresets>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 72 179 400 200
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>

<MacGUI>
ioView background {0, 52428, 52428}
ioText {15, 125} {539, 583} label 0.000000 0.00100 "" left "Arial" 10 {0, 0, 0} {39168, 52224, 26112} nobackground noborder 
ioGraph {462, 169} {80, 64} scope 1.000000 -255 
ioText {16, 16} {538, 100} label 0.000000 0.00100 "" center "Arial" 14 {0, 0, 0} {52224, 52224, 52224} nobackground noborder CSOUND INSIDEÂ¬Enrico Francioni Â¬"Building Csound-based Systems for Realtime Chamber Music Performance"Â¬TUTORIAL #1-11: "SOLO [Nr.19]" - Digital set-up for Stockhausen's composition - Â¬from his analog to my digital setup.
ioMenu {20, 203} {74, 23} 2 303 "none,mic,mp3" sig
ioText {142, 247} {110, 28} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder SOLOIST
ioText {142, 329} {110, 28} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder MICROPHONE
ioText {142, 427} {110, 28} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder FEEDBACK
ioText {142, 546} {110, 28} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder PLAYBACK
ioText {142, 648} {110, 28} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder DELAY
ioText {344, 650} {51, 24} scroll 14.200000 0.100000 "del" right "Arial" 16 {0, 0, 0} {65280, 65280, 65280} background noborder 
ioKnob {289, 638} {51, 50} 30.000000 0.000000 0.010000 14.200000 del
ioSlider {358, 301} {20, 55} 0.000000 1.000000 0.000000 enR1
ioSlider {358, 402} {20, 55} 0.000000 1.000000 0.000000 enR2
ioSlider {358, 519} {20, 55} 0.000000 1.000000 0.000000 enR3
ioText {96, 203} {54, 24} scroll 76.741951 0.100000 "time" right "Arial" 14 {0, 0, 0} {65280, 65280, 65280} background noborder 
ioText {23, 177} {68, 25} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder signal
ioText {96, 177} {54, 25} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder time
ioText {377, 336} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder R
ioText {377, 437} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder R
ioText {377, 554} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder R
ioText {284, 336} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder L
ioText {284, 435} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder L
ioText {284, 553} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder L
ioSlider {304, 301} {20, 55} 0.000000 1.000000 0.000000 enL1
ioSlider {304, 401} {20, 55} 0.000000 1.000000 0.000000 enL2
ioSlider {304, 518} {20, 55} 0.000000 1.000000 0.000000 enL3
ioText {134, 132} {285, 36} label 0.000000 0.00100 "" center "Arial" 20 {0, 0, 0} {65280, 65280, 65280} nobackground noborder FORM-SCHEMA Version I
</MacGUI>
