/*
tutorial_#3-01

The code csd in tutorial_#3-01 can be considered the heart of the entire Technical setup "SOLO [Nr.19]". Although very simplified, it is possible to study the operation of the Left Channel only for Cycle A of the first FormSchema.
Through 'Csound for iOs' Steven Yi and Victor Lazzarini, the Orchestra can be performed in as environment iOs App.
Note that the necessary adaptations, are among the most important: the addition of the flags and the use of opcodes chnget/chnset (as a replacement of opcodes invalue/outvalue).

*/

<CsoundSynthesizer>
<CsOptions>

-o dac
-+rtmidi=null
-+rtaudio=null
-d
-+msg_color=0
--expression-opt
-M0
-m0
-i adc

</CsOptions>
<CsInstruments>

	sr 	= 44100
	ksmps 	= 64
	nchnls 	= 2
	0dbfs 	= 1
 

gkenl1 	init	0 
gkenl2 	init	0 
gkenl3 	init	0 

;==================================================================================================================
	instr 1 		; calls
;==================================================================================================================
; Please refer to the csoundObjDidStart function in the AudioDSP.m class

;schedkwhen	gktrig, -1, 1, 2, 0, 66, .001, .001, 2, 3
;schedkwhen	gktrig, -1, 1, 3, 0, 66, .001, .001, 4, 5
;schedkwhen	gktrig, -1, 1, 4, 0, 66, .001, .001, 6, 7
;schedkwhen	gktrig, -1, 1, 5, 0, 66

endin

;==================================================================================================================
	instr 2			; ENVELOPE SLIDER ASSISTANT - MICROPHONE - LEFT
;==================================================================================================================
    
	ia = p4
	ib = p5
	ifn1 = p6
	ifn2 = p7

	indx init - 1
	ilen = ftlen(ifn1)

reset:
	indx = indx + 1
if	indx <= ilen - 1  goto forth
	turnoff

forth:
	idur table indx, ifn1
	idur_env table indx, ifn2
	timout 0, idur, continue
	reinit reset
continue:

	gkenl1 linseg 0, ia, 1, idur_env - (ia + ib), 1, ib, 0

endin

;==================================================================================================================
	instr 3			; ENVELOPE SLIDER ASSISTANT - FEEDBACK - LEFT
;==================================================================================================================
    
	ia = p4
	ib = p5
	ifn1 = p6
	ifn2 = p7

	indx init - 1
	ilen = ftlen(ifn1)

reset:
	indx = indx + 1
if	indx <= ilen - 1  goto forth
	turnoff

forth:
	idur table indx, ifn1
	idur_env table indx, ifn2
	timout 0, idur, continue
	reinit reset
continue:

	gkenl2 linseg 0, ia, 1, idur_env - (ia + ib), 1, ib, 0

endin

;==================================================================================================================
	instr 4			; ENVELOPE SLIDER ASSISTANT - PLAYBACK - LEFT
;==================================================================================================================
    
	ia = p4
	ib = p5
	ifn1 = p6
	ifn2 = p7

	indx init - 1
	ilen = ftlen(ifn1)

reset:
	indx = indx + 1
if	indx <= ilen - 1  goto forth
	turnoff

forth:
	idur table indx, ifn1
	idur_env table indx, ifn2
	timout 0, idur, continue
	reinit reset
continue:

	gkenl3 linseg 0, ia, 1, idur_env - (ia + ib), 1, ib, 0

endin

;==================================================================================================================
	instr 5 		; TECHNICAL_SET-UP
;==================================================================================================================

; Please refer to the csoundObjDidStart function in the AudioDSP.m class

if p4 == 0 then

	asig = 0

elseif p4 == 1 then

	al, ar ins

elseif p4 == 2 then

	al, ar mp3in "1-11del.mp3"

endif

	asig = (al + ar) * 0.5

;==================================================================================================================
; ASSISTANT_1 - LEFT	-	MICROPHONE
;==================================================================================================================

	al_A = asig * gkenl1

;==================================================================================================================
; VALUE MITIGATION AMPLITUDE SIGNAL
;==================================================================================================================

	igain = .8

;==================================================================================================================
;ASSISTANT_4		-	DELAY
;==================================================================================================================

	ktdel linseg 6, 66, 6

;==================================================================================================================
;ASSISTANT_2 - LEFT	-	FEED-BACK
;==================================================================================================================

	adummyl delayr 25.3
	adel_A deltapi ktdel
	awriteL = (al_A + (adel_A * gkenl2)) * igain
	delayw awriteL

;==================================================================================================================
;ASSISTANT_3 - LEFT 	-	PLAY-BACK
;==================================================================================================================

	a_left = adel_A * gkenl3

	outs a_left, a_left


	chnset gkenl1, "enL1"
	chnset gkenl2, "enL2"
	chnset gkenl3, "enL3"
	chnset ktdel, "del"
	ktinst timeinsts
	chnset ktinst, "time"

; BOX ENVELOPES
;chnset	1, "ONE"
;chnset	0, "ZERO"

endin


</CsInstruments>
<CsScore>
;ASSISTANT "1" LEFT		A
f2	0	4	-2	18	18	30
f3	0	4	-2	6	6	18

;ASSISTANT  "2" LEFT		A
f4	0	4	-2	6	36	24
f5	0	4	-2	0	24	24

;ASSISTANT  "3" LEFT		A
f6	0	4	-2	6	18	24	18
f7	0	4	-2	0	12	12	12

i1	0	86400

</CsScore>
</CsoundSynthesizer>

