
/*
tutorial_#4-01

=====================
Six Online Tutorials:
=====================

The tutorials online propose ideas and approaches, which allow the user to problematize and then practice to do something to use for their own purposes.
Describes the stages of construction of some systems to help the reader, step by step, to learn to do something, to build patchs be used effectively in the performance.
Examples are some ideas to change, expand, or start from scratch using the same ideas or the same solutions and then realize their control systems.

=====================
ONLINE TUTORIAL #4
4. "Ryoanji" (by John Cage) - a possible solution for the sound system (by E.Francioni).
=====================

In group tutorial_#4 will cover the Sound system for performing "Ryoanji" (John Cage) in a possible realization with Csound.
The model chosen is a live contrabass sounds and support (the sounds of support include three contrabasses, percussion and forced vocalise ad libitum).
As was done in the group of tutorials dedicated to "Solo" K.Stockhausen, I have considered appropriate in this case also implement a re-construction of the technical set-up starting from the essential elements of the composition.

***

In this tutorial_#4-01 has been offered a patch for the registration of samples (audio and pvx) required the next time (Play) of the three lines of bass and vocalization (ad libitum).
In this regard, see the original score of the piece "Ryoanji" by John Cage (Edition Peters); some fragments of the score are also available on: http://csoundjournal.com/issue18/francioni.html.
As mentioned in Chapter, this is the preparatory phase of the work (in deferred time).

Some observations:
     for orchestra
    - In the header value of ksmps it has been set for the export of files pvx;

N.B.
For the success of saving files pvx must already exist in the directory of the files named csd: "myVx_A.pvx", "myVx_E.pvx", "myVx_I.pvx", "myVx_O.pvx";

in the Widgets Panel is given the opportunity to
     - Menu choose whether to record samples of bass (audio) or those of the voice (audio and pvx);
     - Choose in a preliminary manner with the ScrollNumber "duration rec" a maximum value of duration of the sample to be recorded;
     - Establish before you begin recording a time value (in seconds) with the ScrollNumber "count-down";
     - Start recording with the REC button and after the count-down to run the sample chosen (a C2 on a string bass or a vowel);
     - Check with the display "Time-recording" the recording.
    
*/

<CsoundSynthesizer>
<CsOptions>
</CsOptions>n header 
<CsInstruments>

; header for recording
sr		=	44100
ksmps 		= 	256		; ksmps value for the recording
nchnls		=	1
0dbfs		=	1

; global variables
gkrec 		init	0
gkiRec 	init	0
gkwhen	init	0
gkdur		init	0

;=======================================
;=======================================

; R E C O R D I N G

;=======================================
;=======================================


;=======================================
	instr	iRec		; call recording
;=======================================

gkiRec 	= 1 - gkiRec

	schedkwhen		gkiRec, -1, 1, "rec",  gkwhen, gkdur
	schedkwhen		gkiRec, -1, 1, "Timout", 0, gkwhen

	turnoff
	endin

;=======================================
	instr Timout		; count-down recording
;=======================================

if gkiRec != 0 goto cont
turnoff
cont:

idur	= 	1
p5	=	.01
p6	=	.4	
p7	=	.01

fromhere:
gknvTmout 	linseg	0, p5, 1, p6, 1, p5, 0, idur - ((2 * p5) + p6), 0
timout	0, idur, continue
reinit	fromhere 
continue:
rireturn

	endin


;=======================================
	instr rec		; recording file wav and pvx (one track at a time)
;=======================================

if gkiRec != 0 goto cont
turnoff
cont:

aIn		inch	1
gktmRec	timeinsts

;printk	.1, gkrec

; rec of file audio

if	i(gkrec)	==	0 	then
Sfile		=	"myCb_I.wav"			; the file is saved in the folder of csd
fout		Sfile, 2, aIn

elseif	i(gkrec)	==	1	then
Sfile		=	"myCb_II.wav"	
fout		Sfile, 2, aIn

elseif	i(gkrec)	==	2	then
Sfile		=	"myCb_III.wav"
fout		Sfile, 2, aIn

elseif	i(gkrec)	==	3	then
Sfile		=	"myCb_IV.wav"
fout		Sfile, 2, aIn


; rec of file pvx

elseif	i(gkrec)	==	4	then
Sfile		=	"myVx_I.wav"
fout		Sfile, 2, aIn
fss pvsanal  aIn, 1024,256,1024,0
pvsfwrite fss, "/Users/enrico/Documents/documenti_finder/musica/csd_various/Csound_Inside/tutorials/csd/english/tutorials#4/myVx_I.pvx"  
; to save the file pvx is essential to write the full path of the file!

elseif	i(gkrec)	==	5	then
Sfile		=	"myVx_O.wav"	
fout		Sfile, 2, aIn 
fss pvsanal  aIn, 1024,256,1024,0
pvsfwrite fss, "/Users/enrico/Documents/documenti_finder/musica/csd_various/Csound_Inside/tutorials/csd/english/tutorials#4/myVx_O.pvx"		

elseif	i(gkrec)	==	6	then
Sfile		=	"myVx_A.wav"
fout		Sfile, 2, aIn
fss pvsanal  aIn, 1024,256,1024,0
pvsfwrite fss, "/Users/enrico/Documents/documenti_finder/musica/csd_various/Csound_Inside/tutorials/csd/english/tutorials#4/myVx_A.pvx"

elseif	i(gkrec)	==	7	then
Sfile		=	"myVx_E.wav"	
fout		Sfile, 2, aIn
fss pvsanal  aIn, 1024,256,1024,0
pvsfwrite fss, "/Users/enrico/Documents/documenti_finder/musica/csd_various/Csound_Inside/tutorials/csd/english/tutorials#4/myVx_E.pvx"

endif

	endin

;=======================================
	instr GUI
;=======================================

;when/dur (rec)
gkrec		invalue	"rec"
gkwhen	invalue	"when"
gkdur		invalue	"dur"

outvalue	"Rec", 	gkiRec
outvalue	"src", 	gknvTmout
outvalue	"r1",	gktmRec

	endin


</CsInstruments>
<CsScore>
i"GUI"	.1	-1

e3600

</CsScore>
</CsoundSynthesizer><bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>72</x>
 <y>245</y>
 <width>752</width>
 <height>591</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="background">
  <r>129</r>
  <g>142</g>
  <b>124</b>
 </bgcolor>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>142</x>
  <y>174</y>
  <width>461</width>
  <height>183</height>
  <uuid>{49bfb153-3c72-461b-b75f-52db6a63f015}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>102</r>
   <g>255</g>
   <b>153</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>6</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>84</x>
  <y>8</y>
  <width>579</width>
  <height>86</height>
  <uuid>{951fe7d4-4247-432d-8eee-6e8889420259}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>CSOUND INSIDE
Enrico Francioni 
"Building Csound-based Systems for Realtime Chamber Music Performance"
TUTORIAL #4-01: "RYOANJI" (by John Cage) - a possible solution for the sound system.</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>204</r>
   <g>204</g>
   <b>204</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>280</x>
  <y>128</y>
  <width>191</width>
  <height>27</height>
  <uuid>{266bcbec-06b6-427d-ad31-40336f95e722}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>RECORDING</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>Rec</objectName>
  <x>151</x>
  <y>189</y>
  <width>94</width>
  <height>68</height>
  <uuid>{bdb3b522-2395-44ac-87a7-fed76d2e8b28}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>REC</text>
  <image>/</image>
  <eventLine>i"iRec" 0 -1</eventLine>
  <latch>true</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>rec</objectName>
  <x>248</x>
  <y>225</y>
  <width>103</width>
  <height>28</height>
  <uuid>{a6f90fc2-1412-40f3-a203-50ed82f4c05f}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>Cb_I</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>Cb_II</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>Cb_III</name>
    <value>2</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>Cb_IV</name>
    <value>3</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>Vx_I</name>
    <value>4</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>Vx_O</name>
    <value>5</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>Vx_A</name>
    <value>6</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>Vx_E</name>
    <value>7</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>4</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>249</x>
  <y>193</y>
  <width>102</width>
  <height>28</height>
  <uuid>{ca74e6c5-ccda-478b-b0f3-990a6c42de87}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>save-samples</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>368</x>
  <y>193</y>
  <width>102</width>
  <height>28</height>
  <uuid>{c631e3cf-3aaa-4e4d-be56-ffd614949067}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>duration-rec</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBScrollNumber">
  <objectName>dur</objectName>
  <x>367</x>
  <y>226</y>
  <width>104</width>
  <height>28</height>
  <uuid>{6eb94ede-7389-4fae-9c02-afda5515c9cf}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <value>5.00000000</value>
  <resolution>0.10000000</resolution>
  <minimum>0.00000000</minimum>
  <maximum>10.00000000</maximum>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
  <randomizable group="0">false</randomizable>
  <mouseControl act=""/>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>248</x>
  <y>276</y>
  <width>102</width>
  <height>28</height>
  <uuid>{81c31574-7f02-478b-953c-0edb3e59ae52}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>count-down</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBScrollNumber">
  <objectName>when</objectName>
  <x>247</x>
  <y>311</y>
  <width>48</width>
  <height>28</height>
  <uuid>{f189cf99-c4b4-4e92-a59c-e79bd8e3f8bf}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <value>3.00000000</value>
  <resolution>1.00000000</resolution>
  <minimum>0.00000000</minimum>
  <maximum>10.00000000</maximum>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
  <randomizable group="0">false</randomizable>
  <mouseControl act=""/>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>src</objectName>
  <x>321</x>
  <y>312</y>
  <width>28</width>
  <height>28</height>
  <uuid>{9d7b9cd8-05e0-4cba-9d0b-7fba6870d5d4}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>src</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>482</x>
  <y>193</y>
  <width>102</width>
  <height>28</height>
  <uuid>{6c90e0b5-2e88-4272-bc0e-be7a274090ca}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>timer-recording</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>72</x>
  <y>408</y>
  <width>607</width>
  <height>161</height>
  <uuid>{62dea836-b56e-404f-b055-9288879e720e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Guidance on registration:

1. Menu choose whether to record samples of bass (audio) or those of the voice (audio and pvx);
2. choose in a preliminary manner with the ScrollNumber "duration rec" a maximum value of duration of the sample to be recorded;
3. establish before you begin recording a time value (in seconds) with the ScrollNumber "count-down";
4. start recording with the REC button and after the count-down to run the sample chosen (a C2 on a string bass or a vowel);
5. Check with Display "time-recording" the recording.</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>204</r>
   <g>204</g>
   <b>204</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>r1</objectName>
  <x>481</x>
  <y>227</y>
  <width>104</width>
  <height>28</height>
  <uuid>{cdef6cae-857a-46bf-a2cd-63990b395f8c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>0.000</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
</bsbPanel>
<bsbPresets>
</bsbPresets>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 72 179 400 200
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>

<MacGUI>
ioView background {33153, 36494, 31868}
ioText {142, 174} {461, 183} label 0.000000 0.00100 "" left "Arial" 10 {0, 0, 0} {26112, 65280, 39168} nobackground noborder 
ioText {84, 8} {579, 86} label 0.000000 0.00100 "" center "Arial" 14 {0, 0, 0} {52224, 52224, 52224} nobackground noborder CSOUND INSIDEÂ¬Enrico Francioni Â¬"Building Csound-based Systems for Realtime Chamber Music Performance"Â¬TUTORIAL #4-01: "RYOANJI" (by John Cage) - a possible solution for the sound system.
ioText {280, 128} {191, 27} label 0.000000 0.00100 "" center "Arial" 14 {0, 0, 0} {65280, 0, 0} nobackground noborder RECORDING
ioButton {151, 189} {94, 68} event 1.000000 "Rec" "REC" "/" i"iRec" 0 -1
ioMenu {248, 225} {103, 28} 4 303 "Cb_I,Cb_II,Cb_III,Cb_IV,Vx_I,Vx_O,Vx_A,Vx_E" rec
ioText {249, 193} {102, 28} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder save-samples
ioText {368, 193} {102, 28} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder duration-rec
ioText {367, 226} {104, 28} scroll 5.000000 0.100000 "dur" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} background noborder 
ioText {248, 276} {102, 28} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder count-down
ioText {247, 311} {48, 28} scroll 3.000000 1.000000 "when" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} background noborder 
ioMeter {321, 312} {28, 28} {0, 59904, 0} "src" 0.000000 "src" 0.000000 fill 1 0 mouse
ioText {482, 193} {102, 28} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder timer-recording
ioText {72, 408} {607, 161} label 0.000000 0.00100 "" left "Arial" 10 {0, 0, 0} {52224, 52224, 52224} nobackground noborder Guidance on registration:Â¬Â¬1. Menu choose whether to record samples of bass (audio) or those of the voice (audio and pvx);Â¬2. choose in a preliminary manner with the ScrollNumber "duration rec" a maximum value of duration of the sample to be recorded;Â¬3. establish before you begin recording a time value (in seconds) with the ScrollNumber "count-down";Â¬4. start recording with the REC button and after the count-down to run the sample chosen (a C2 on a string bass or a vowel);Â¬5. Check with Display "time-recording" the recording.
ioText {481, 227} {104, 28} display 0.000000 0.00100 "r1" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 0.000
</MacGUI>
