
/*
tutorial_#4-03

=====================
Six Online Tutorials:
=====================

The tutorials online propose ideas and approaches, which allow the user to problematize and then practice to do something to use for their own purposes.
Describes the stages of construction of some systems to help the reader, step by step, to learn to do something, to build patchs be used effectively in the performance.
Examples are some ideas to change, expand, or start from scratch using the same ideas or the same solutions and then realize their control systems.

=====================
ONLINE TUTORIAL #4
4. "Ryoanji" (by John Cage) - a possible solution for the sound system (by E.Francioni).
=====================

In this tutorial_#4-03 it is accomplished by way of example the Sound system of Contrabass 2.

Some observations:
    for orchestra
    - The drafting of the score of the Contrabass 2 (instr CB2), consisting of a series of calls made on schedule and containing: action-time, and duration values ​​for stretching;
    - Its stretching samples wav (instr cb2) with reference to the values ​​"i" of the p-fields contained in the schedule (instr CB2);
    - Stretching pitch (controlled by the opcode transeg) has been reduced to 4 steps of values ​​(ia, ib, ic, id) past the opcode mincer;
    N.B. The values ​​of actions-time (p2) of the schedule (taken from the original score) in this tutorial were subtracted value (offset) in order to start the second 0.
    
    in the Widgets Panel is given the opportunity to
    - Choose from the menu "samples" which type of sample used ("library" uses samples library prepared, instead "my" uses samples of custom library);
    - Start with the PLAY button;
    * Play during the "timer-play" will show the elapsed time and "meter" the bpm = 60

*/

<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

; header for play
sr	=	44100
ksmps 	= 	64
nchnls	=	1
0dbfs	=	1

; global variables
gkiPlay	init	0
gkSmp234	init	0

;=======================================
;=======================================

; T A B L E S

;=======================================
;=======================================

; CONTRABASS-SAMPLES

; samples of C2 on 4 strings ("LIBRARY" - samples have data)
gir1	ftgen 1, 	0, 	0, 	1, "CbC3_I.wav", 	0, 0, 0
gir2	ftgen 2, 	0, 	0, 	1, "CbC3_II.wav", 	0, 0, 0
gir3	ftgen 3, 	0, 	0, 	1, "CbC3_III.wav", 	0, 0, 0
gir4	ftgen 4, 	0, 	0, 	1, "CbC3_IV.wav", 	0, 0, 0

; samples of C2 on 4 strings ("MY" - samples previously registered)
gir5	ftgen 5, 	0, 	0, 	1, "myCbC3_I.wav", 	0, 0, 0
gir6	ftgen 6, 	0, 	0, 	1, "myCbC3_II.wav", 	0, 0, 0
gir7	ftgen 7, 	0, 	0, 	1, "myCbC3_III.wav", 	0, 0, 0
gir8	ftgen 8, 	0, 	0, 	1, "myCbC3_IV.wav", 	0, 0, 0

;=======================================
;=======================================

; P L A Y 

;=======================================
;=======================================

;=======================================
	instr iPlay		; call performance
;=======================================

gkiPlay 	= 1 - gkiPlay

	schedkwhen		gkiPlay, -1, 1, "MTR", 0, -1
	schedkwhen		gkiPlay, -1, 1, "TIM", 0, -1
	schedkwhen		gkiPlay, -1, 1, "CB2", 0, -1

	turnoff
	endin
		
		
;=======================================

; C O N T R A B A S S

;=======================================
		
;=======================================
	instr CB2	; options call CB2
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:
    
;		p1	p2		p3		p4	p5	p6	p7	p8	p9	p10	p11	p12	p13	p14	p15	p16	p17	p18	p19
	
schedule	"cb2",	57.85-57.85,	7.85,		3,	1,	2,	1,	0,	1,	1,	2,	.3,	.3,	2,	4,	4,	10,	8,	1	
schedule	"cb2",	82.50-57.85,	4.4,		2,	4,	1.5,	-.5,	-1,	-1,	-1,	-1,	.3,	.3,	2,	4,	4,	10,	8,	1
schedule	"cb2",	88.45-57.85,	7.25,		2,	1,	-2,	-1,	.5,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	9,	9,	1	
schedule	"cb2",	147.55-57.85,	2.77,		3,	-1,	-1.5,	-2.5,	-3,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb2",	422.00-57.85,	5.1,		3,	2.5,	.5,	-.5,	0,	-1,	-1,	-1,	.3,	.3,	4,	2,	4,	10,	12,	1
schedule	"cb2",	427.40-57.85,	3.9,		3,	2.6,	3.2,	2.3,	1.4,	1,	1,	2,	.3,	.3,	3,	3,	3,	10,	12,	1
schedule	"cb2",	443.40-57.85,	3.9,		2,	0.85,	.85,	1.5,	2.7,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	12,	1
schedule	"cb2",	455.40-57.85,	3.4,		4,	-1.3,	1,	2,	2.6,	1,	1,	1,	.3,	.3,	4,	4,	2,	10,	50,	1
schedule	"cb2",	458.80-57.85,	5.95,		4,	.8,	1.2,	1.8,	.8,	1,	1,	2,	.3,	.3,	3,	3,	3,	50,	10,	1
schedule	"cb2",	470.70-57.85,	7.1,		3,	.4,	1.4,	1.9,	1.2,	1,	1,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb2",	515.20-57.85,	7.6,		2,	1.2,	.7,	1.8,	1.3,	0,	1,	2,	.3,	.3,	3,	3,	3,	10,	12,	1

turnoff

	endin


;=======================================
	instr cb2	; stretching samples CB2
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if	i(gkSmp234) = 0 then
iSmpl	= 0
else
iSmpl = 4
endif 

idur  = p3

ilock = p19 

itab = p4+iSmpl

ipw1 = p5
ipw2 = p6
ipw3 = p7
ipw4 = p8
ityp1= p9
ityp2= p10 
ityp3= p11
idur1= idur/p14
idur2= idur/p15
idur3= idur/p16

ihlfstp = 2^(1/12)

ia	=	ihlfstp^ipw1
ib	=	ihlfstp^ipw2
ic	=	ihlfstp^ipw3
id	=	ihlfstp^ipw4

kpitch	transeg	ia,	idur1,  	ityp1, ib, idur2, ityp2, ic, idur3, ityp3, id

imp1	=	p12*0dbfs
imp2	=	p13*0dbfs

ia	=	idur/p17
ib	=	idur/p18

kamp	linseg	0, ia, imp1, idur-(ia+ib), imp2, ib, 0

itimescale = .5
atime line   idur*itimescale,idur,.1

aCB2	mincer atime, kamp, kpitch, itab, ilock

out	aCB2

	endin

;=======================================
	instr MTR		 ; metronome
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

kphsr 	phasor	 1

if kphsr >= .0009 && kphsr <= .2 then
kmtr 	=	1 
	else	
kmtr	=	0 
endif
outvalue "mtr", kmtr

	endin
	
;=======================================
	instr TIM		; timer
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

ktimer	timeinsts
	outvalue "timer", ktimer

	endin
		
;=======================================
	instr GUI		; GUI
;=======================================

; invalue
gkSmp234	invalue 	"SmpCB234"

; outvalue
outvalue	"play", 	gkiPlay

	endin

</CsInstruments>
<CsScore>
i"GUI"		.1	-1

e3600

</CsScore>
</CsoundSynthesizer><bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>72</x>
 <y>245</y>
 <width>754</width>
 <height>599</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="background">
  <r>129</r>
  <g>142</g>
  <b>124</b>
 </bgcolor>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>142</x>
  <y>174</y>
  <width>461</width>
  <height>183</height>
  <uuid>{49bfb153-3c72-461b-b75f-52db6a63f015}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>102</r>
   <g>255</g>
   <b>153</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>6</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>84</x>
  <y>8</y>
  <width>579</width>
  <height>86</height>
  <uuid>{951fe7d4-4247-432d-8eee-6e8889420259}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>CSOUND INSIDE
Enrico Francioni 
"Building Csound-based Systems for Realtime Chamber Music Performance"
TUTORIAL #4-03: "RYOANJI" (by John Cage) - a possible solution for the sound system.</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>204</r>
   <g>204</g>
   <b>204</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>280</x>
  <y>128</y>
  <width>191</width>
  <height>27</height>
  <uuid>{266bcbec-06b6-427d-ad31-40336f95e722}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>PLAY CONTRABASS 2</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>102</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>play</objectName>
  <x>152</x>
  <y>190</y>
  <width>91</width>
  <height>68</height>
  <uuid>{bdb3b522-2395-44ac-87a7-fed76d2e8b28}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>PLAY</text>
  <image>/</image>
  <eventLine>i"iPlay" 0 -1</eventLine>
  <latch>true</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>SmpCB234</objectName>
  <x>248</x>
  <y>225</y>
  <width>103</width>
  <height>28</height>
  <uuid>{a6f90fc2-1412-40f3-a203-50ed82f4c05f}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>library</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>my</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>1</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>249</x>
  <y>193</y>
  <width>102</width>
  <height>28</height>
  <uuid>{ca74e6c5-ccda-478b-b0f3-990a6c42de87}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>samples</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>410</x>
  <y>195</y>
  <width>102</width>
  <height>28</height>
  <uuid>{6c90e0b5-2e88-4272-bc0e-be7a274090ca}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>timer-play</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>72</x>
  <y>408</y>
  <width>607</width>
  <height>161</height>
  <uuid>{62dea836-b56e-404f-b055-9288879e720e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Guide to Play:

1. choose the menu "samples" what kind of sample you want to import:
- "Library" to import the samples library date
- "My" to import the samples for your library previously registered
2. Start with the PLAY button
* When running "timer-play" will show the elapsed time and "meter" the bpm = 60</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>204</r>
   <g>204</g>
   <b>204</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>timer</objectName>
  <x>410</x>
  <y>228</y>
  <width>102</width>
  <height>28</height>
  <uuid>{d7d78aaf-c337-4e82-b82b-77dc55c02729}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>5.896</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>mtr</objectName>
  <x>535</x>
  <y>229</y>
  <width>28</width>
  <height>28</height>
  <uuid>{8098bff5-0129-4904-8b31-136bb38cf7a9}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>mtr</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>525</x>
  <y>196</y>
  <width>48</width>
  <height>27</height>
  <uuid>{04a852d9-8df7-48d0-bf6e-1e034eb15435}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>metro</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
</bsbPanel>
<bsbPresets>
</bsbPresets>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 72 179 400 200
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>

<MacGUI>
ioView background {33153, 36494, 31868}
ioText {142, 174} {461, 183} label 0.000000 0.00100 "" left "Arial" 10 {0, 0, 0} {26112, 65280, 39168} nobackground noborder 
ioText {84, 8} {579, 86} label 0.000000 0.00100 "" center "Arial" 14 {0, 0, 0} {52224, 52224, 52224} nobackground noborder CSOUND INSIDEÂ¬Enrico Francioni Â¬"Building Csound-based Systems for Realtime Chamber Music Performance"Â¬TUTORIAL #4-03: "RYOANJI" (by John Cage) - a possible solution for the sound system.
ioText {280, 128} {191, 27} label 0.000000 0.00100 "" center "Arial" 14 {0, 0, 0} {65280, 26112, 65280} nobackground noborder PLAY CONTRABASS 2
ioButton {152, 190} {91, 68} event 1.000000 "play" "PLAY" "/" i"iPlay" 0 -1
ioMenu {248, 225} {103, 28} 1 303 "library,my" SmpCB234
ioText {249, 193} {102, 28} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder samples
ioText {410, 195} {102, 28} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder timer-play
ioText {72, 408} {607, 161} label 0.000000 0.00100 "" left "Arial" 12 {0, 0, 0} {52224, 52224, 52224} nobackground noborder Guide to Play:Â¬Â¬1. choose the menu "samples" what kind of sample you want to import:Â¬- "Library" to import the samples library dateÂ¬- "My" to import the samples for your library previously registeredÂ¬2. Start with the PLAY buttonÂ¬* When running "timer-play" will show the elapsed time and "meter" the bpm = 60
ioText {410, 228} {102, 28} display 5.896000 0.00100 "timer" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 5.896
ioMeter {535, 229} {28, 28} {0, 59904, 0} "mtr" 0.000000 "mtr" 0.000000 fill 1 0 mouse
ioText {525, 196} {48, 27} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder metro
</MacGUI>
